Skip to content

Get Users With Training ​

Get users that have a specific set of training, or the training required for a role. (not necessarily given that role)

Parameters ​

nametypedata typedescription
trainingIdoptionalstringlimit users to those with the training. Add multiple of these to require multiple training types
roleIdoptionalstringlimit users to those with the training required by the role. Add multiple of these to require the training types of multiple roles
endAfteroptionalnumberunix time of the required min valid training expiration date. Defaults to the current time the request is made
fromoptionalnumberpaginated query starts after the number provided

Return Value ​

JSON object of type matching elastic search query response the _source will be the ElasticUser type

Examples ​

bash
curl -X GET -H "Authorization: ZmFrZQ==" https://app.wombat.software/api/{targetPath}/users-with-training?trainingId=AA&trainingId=BB&&endAfter=1699420021817

ENDPOINTS

get/api/{targetPath}/users-with-training